

import request from '@/config/axios'

/**
 * 消息列表接口参数
 */
export interface MessageParams {
  text?: string;
  username?: string;
  role?: string;
  pageNum?: number;
  pageSize?: number;
}

/**
 * 获取消息列表
 */
export function list(params: MessageParams) {
  return request.get({
    url: '/chat/aigc/message/list',
    params
  })
}

/**
 * 分页获取消息列表
 */
export function page(params: MessageParams) {
  return request.get({
    url: '/chat/aigc/message/page',
    params
  })
}

/**
 * 添加消息
 */
export function add(data: any) {
  return request.post({
    url: '/chat/aigc/message',
    data
  })
}

/**
 * 更新消息
 */
export function update(data: any) {
  return request.put({
    url: '/chat/aigc/message',
    data
  })
}

/**
 * 删除消息
 */
export function del(id: string) {
  return request.delete({
    url: `/chat/aigc/message/${id}`
  })
}
